Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.policy
Class SecurityPolicyItem

    java.lang.Object
      com.bea.p13n.entitlements.policy.PolicyItem
          com.bea.p13n.entitlements.policy.SecurityPolicyItem

All Implemented Interfaces
  Serializable, Cloneable

    public class SecurityPolicyItem

extends PolicyItem

This class encapsulates the information comprising a single Security Policy. It is used to collect and hold security policy attributes during the process of building and managing security policies.

The SecurityPolicyManager is used for persistence related operations upon SecurityPolicyItems.

See Also
  Serialized Form

Constructor Summary
`SecurityPolicyItem()` This no-args constructor allows a SecurityPolicyItem to be created and initialized piecemeal by an application.
`SecurityPolicyItem(String aEntAppName, String aWebAppName, String aResourceId, List aUserList, List aGroupList, List aRoleList, String aCapability, P13nContextHandler aContextHandler)` Initialize a new security policy.

Method Summary
`Object` | `clone()` Clone
`String` | `getCapability()` Returns the optional capability name used to identify this security policy.
`List` | `getRoleList()` Returns the list of roles used within this security policy.
`void` | `setCapability(String aCapabilityName)` Sets the optional capability name used to identify this security policy.
`void` | `setRoleList(List aRoleList)` Sets the list of roles used within this security policy.

Methods inherited from class com.bea.p13n.entitlements.policy.PolicyItem
`getContextHandler, getCreatedDate, getDescription, getEntAppName, getGroupList, getModifiedDate, getPolicyUser, getProviderDescription, getResourceId, getUserList, getWebAppName, setContextHandler, setDescription, setEntAppName, setGroupList, setPolicyUser, setProviderDescription, setResourceId, setUserList, setWebAppName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityPolicyItem

    public SecurityPolicyItem()

  This no-args constructor allows a SecurityPolicyItem to be created and initialized piecemeal by an application.

### SecurityPolicyItem

    public SecurityPolicyItem(String aEntAppName,
                              String aWebAppName,
                              String aResourceId,
                              List aUserList,
                              List aGroupList,
                              List aRoleList,
                              String aCapability,
                              P13nContextHandler aContextHandler)

  Initialize a new security policy. Note that none of the parameters are required to construct this class, however certain operations will not succeed unless the required parameters for that operation are valid. Also, for example, if this object is used to persist a policy without a user list being initialized, it is assumed there are no user predicates required in the policy.

  Parameters
    `aEntAppName` - Enterprise application name. Unused for Global app role scoping
    `aWebAppName` - Webapp name. Unused for Global or Enterprise app role scoping
    `aResourceId` - Application defined resource ID
    `aUserList` - Optional list of user names for the role policy
    `aGroupList` - Optional list of group names for the role policy
    `aRoleList` - Optional list of role names for the role policy. A role name must refer to the name of a role policy.
    `aCapability` - Optional application-defined capability name for this policy. If no capability name is specified, the policy will be applied to all access requests for the given resource.
    `aContextHandler` - The caller's user profile context. Required if (the admin role policy) user's role is predicated on profile values.

Method Detail

### setRoleList

    public void setRoleList(List aRoleList)

  Sets the list of roles used within this security policy.

### getRoleList

    public List getRoleList()

  Returns the list of roles used within this security policy.

  Returns
    List of roles or null if none exist

### setCapability

    public void setCapability(String aCapabilityName)

  Sets the optional capability name used to identify this security policy.

### getCapability

    public String getCapability()

  Returns the optional capability name used to identify this security policy.

  Returns
    String name of capability, or null or empty string if none exists

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Clone

  Overrides:
    `clone` in class `PolicyItem`
  Returns
    Clone of a SecurityPolicyItem
  Throws
    `CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.